classification
Title: Incorrect error message in the module asyncio.selector_events.
Type: behavior Stage: resolved
Components: asyncio Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Paradisee, berker.peksag, ezio.melotti, gvanrossum, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2016-01-15 13:52 by Paradisee, last changed 2016-02-01 17:57 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
patch.diff Paradisee, 2016-01-15 13:52 Patch review
patch.diff Paradisee, 2016-01-15 16:25 review
Messages (7)
msg258294 - (view) Author: Carlo Beccarini (Paradisee) * Date: 2016-01-15 13:52
Incorrect error message in the module asyncio.selector_events for the methods:
_SelectorSocketTransport.write
_SelectorSslTransport.write
_SelectorDatagramTransport.sendto.

The previous error was raising a Tuple:
TypeError: ('data argument must be byte-ish (%r)', <class 'str'>)

Patched:
TypeError: data argument must be a bytes-like object, not 'str'
msg258296 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-01-15 14:03
LGTM unless you think we should also add a test that checks that the name of the incorrect type is included in the error message.
msg258301 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-01-15 16:01
Remember also to apply to asyncio's own GitHub repo.

--Guido (mobile)
On Jan 15, 2016 6:03 AM, "Ezio Melotti" <report@bugs.python.org> wrote:

>
> Ezio Melotti added the comment:
>
> LGTM unless you think we should also add a test that checks that the name
> of the incorrect type is included in the error message.
>
> ----------
> nosy: +ezio.melotti
> stage:  -> commit review
> type:  -> behavior
> versions: +Python 3.5, Python 3.6 -Python 3.4
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue26125>
> _______________________________________
>
msg258307 - (view) Author: Carlo Beccarini (Paradisee) * Date: 2016-01-15 16:45
https://github.com/python/asyncio/pull/313
msg259203 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-01-29 10:06
https://github.com/python/asyncio/pull/313 has been merged. Do we need to commit this patch to the CPython repo or will it be merged with the next sync? (e.g. f4fe55dd5659)
msg259211 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-01-29 15:43
Usually Yury or Victor takes care of this sooner or later. If you want
to you can keep this open as a release blocker with that as a task.
msg259338 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-02-01 17:57
Victor committed this in 97c80e317ab8 (3.5) and c7f1acdd8be1 (default). Closing as "fixed".
History
Date User Action Args
2016-02-01 17:57:41berker.peksagsetstatus: open -> closed
versions: + Python 3.5, Python 3.6, - Python 3.4
type: behavior
messages: + msg259338

resolution: fixed
stage: commit review -> resolved
2016-01-29 15:43:48gvanrossumsetmessages: + msg259211
2016-01-29 10:06:08berker.peksagsetnosy: + berker.peksag
messages: + msg259203
2016-01-15 16:45:28Paradiseesetmessages: + msg258307
2016-01-15 16:25:30Paradiseesetfiles: + patch.diff
type: behavior -> (no value)
versions: + Python 3.4, - Python 3.5, Python 3.6
2016-01-15 16:01:58gvanrossumsetmessages: + msg258301
2016-01-15 14:03:21ezio.melottisetversions: + Python 3.5, Python 3.6, - Python 3.4
nosy: + ezio.melotti

messages: + msg258296

type: behavior
stage: commit review
2016-01-15 13:52:59Paradiseecreate